# How to efficiently provide email access to our users?

## JMAP

specs:

  * [rfc8620](https://tools.ietf.org/html/rfc8620) The JSON Meta Application Protocol (JMAP)
  * [rfc8621](https://tools.ietf.org/html/rfc8621) The JSON Meta Application Protocol (JMAP) for Mail
  * [specs](https://jmap.io/spec.html) JMAP: The Specs

clients:

  * [ltt.rs](https://github.com/iNPUTmice/lttrs-android) Android Client
  * [meli](https://meli.delivery/) Rust CLI client
  * [cypht](https://github.com/jasonmunro/cypht) PHP+JS webmail

## IMAP

specs:

  * [rfc3501](https://tools.ietf.org/html/rfc3501) INTERNET MESSAGE ACCESS PROTOCOL - VERSION 4rev1
  * [rfc4466](https://tools.ietf.org/html/rfc4466) Collected Extensions to IMAP4 ABNF
  * [rfc4469](https://tools.ietf.org/html/rfc4469) Internet Message Access Protocol (IMAP) CATENATE Extension
  * [rfc4551](https://tools.ietf.org/html/rfc4551) IMAP Extension for Conditional STORE Operation or Quick Flag Changes Resynchronization
